# mdtraj.reindex_dataframe_by_atoms

mdtraj.reindex_dataframe_by_atoms(trj, frame)

  Reindex chemical shift output to use atom number (serial) indexing.

  Parameters:

    - trj (Trajectory) – Trajectory to predict shifts for.

    - frame (pandas.DataFrame) – Dataframe containing results, with index consisting of (resSeq, atom_name) pairs and columns for each frame in trj.

  Returns:

    new_frame – Dataframe containing results, with index consisting of atom indices (AKA the ‘serial’ entry in a PDB). Columns correspond to each frame in trj.

  Return type:

    pandas.DataFrame

  Notes

  Be aware that this function may DROP predictions if the atom naming is different between the input trajectory and the output of various chemical shift prediction tools.